> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.propexo.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.propexo.com/_mcp/server.

# Update Applicant: Propertyware

PUT https://api.propexo.com/v1/applicants/propertyware/{applicant_id}
Content-Type: application/json

Update Applicant: Propertyware

| Method |
|---|
| updateApplicant |

Reference: https://docs.propexo.com/api-reference/propertyware-soap/applicants/update-applicant-propertyware

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Servers

- `https://api.propexo.com` (Production, default)
- `https://api.sandbox.propexo.com` (Sandbox)

## Request

### Path parameters

- `applicant_id` (string, required) — The ID of the resource.

### Body (application/json)

This endpoint expects a _v1_applicants_propertyware_{applicant_id}_put_input.

- `integration_id` (string, required) — The Propexo unique identifier for the integration
- `x_property_id` (string, required) — The external ID of the property from the integration vendor
- `address_1` (string, optional) — First line of the street address for the applicant. This maps to the addressLine1 property of the Applicant's primary address
- `address_2` (string, optional) — Second line of the street address for the applicant. This maps to the addressLine2 property of the Applicant's primary address.
- `city` (string, optional) — City of the applicant's primary address. This maps to the city property of the Applicant's primary address.
- `date_of_birth` (string, optional) — Date of birth of the applicant. This maps to the birthDate property of the Applicant object.
- `email_1` (string, optional) — The primary email address for the applicant. This value maps to the email property of the Applicant object
- `first_name` (string, optional) — The first name of the applicant. This value maps to the firstName property of the Applicant object.
- `last_name` (string, optional) — The last name of the applicant. This value maps to the lastName property of the Applicant object
- `originating_lead_source_id` (string, optional) — The ID of the lead source. This maps to the originatingLeadSourceId property of the Application object.
- `phone_1` (string, optional) — Applicant's primary phone number. This maps to the phoneNumber property of the Applicant object.
- `phone_1_type` (enum, optional) — The type of the applicant's primary phone number. The value passed in here must be one of 'HOME', 'WORK', 'MOBILE', FAX'. This maps to the phoneNumberTypeId property of the Applicant object.
  - Allowed values: `HOME`, `WORK`, `MOBILE`, `FAX`
- `phone_2` (string, optional) — Applicant's secondary phone number. This maps to the phoneNumber property of the Applicant object.
- `phone_2_type` (enum, optional) — The type of the applicant's secondary phone number. The value passed in here must be one of 'HOME', 'WORK', 'MOBILE', FAX'. This maps to the phoneNumberTypeId property of the Applicant object.
  - Allowed values: `HOME`, `WORK`, `MOBILE`, `FAX`
- `state` (string, optional) — State of the resident's primary address. This maps to the stateCode property of the Applicant's primary address.
- `x_unit_id` (string, optional) — The external ID of the unit from the integration vendor
- `zip` (string, optional) — Zip/Postal Code of the resident's primary address. This maps to the postalCode property of the Applicant's primary address.
- `custom_data` (V1ApplicantsPropertywareApplicantIdPutInputCustomData, optional, deprecated) — Deprecated: Field is no longer applicable

## Response

### 200

Successful response

- `meta` (V1ApplicantsPropertywareApplicantIdPutOutputMeta, required)
- `result` (V1ApplicantsPropertywareApplicantIdPutOutputResult, required)

## Errors

### 400 Bad Request Error

Bad Request

- `error` (ErrorResponseError, required)

## Types

### V1ApplicantsPropertywareApplicantIdPutInputCustomData

Deprecated: Field is no longer applicable

### V1ApplicantsPropertywareApplicantIdPutOutputMeta

- `job_id` (string, required)

### V1ApplicantsPropertywareApplicantIdPutOutputResult

- `address_1` (string, required, nullable) — First line of the street address for the applicant. This maps to the addressLine1 property of the Applicant's primary address
- `address_2` (string, required, nullable) — Second line of the street address for the applicant. This maps to the addressLine2 property of the Applicant's primary address.
- `city` (string, required, nullable) — City of the applicant's primary address. This maps to the city property of the Applicant's primary address.
- `date_of_birth` (string, required, nullable) — Date of birth of the applicant. This maps to the birthDate property of the Applicant object.
- `email_1` (string, required, nullable) — The primary email address for the applicant. This value maps to the email property of the Applicant object
- `first_name` (string, required, nullable) — The first name of the applicant. This value maps to the firstName property of the Applicant object.
- `integration_id` (string, required) — The Propexo unique identifier for the integration
- `last_name` (string, required, nullable) — The last name of the applicant. This value maps to the lastName property of the Applicant object
- `phone_1` (string, required, nullable) — Applicant's primary phone number. This maps to the phoneNumber property of the Applicant object.
- `phone_1_type` (enum, required) — The type of the applicant's primary phone number. The value passed in here must be one of 'HOME', 'WORK', 'MOBILE', FAX'. This maps to the phoneNumberTypeId property of the Applicant object.
  - Allowed values: `HOME`, `WORK`, `MOBILE`, `FAX`
- `state` (string, required, nullable) — State of the resident's primary address. This maps to the stateCode property of the Applicant's primary address.
- `x_property_id` (string, required) — The external ID of the property from the integration vendor
- `x_unit_id` (string, required, nullable) — The external ID of the unit from the integration vendor
- `zip` (string, required, nullable) — Zip/Postal Code of the resident's primary address. This maps to the postalCode property of the Applicant's primary address.
- `custom_data` (V1ApplicantsPropertywareApplicantIdPutOutputResultCustomData, required, nullable, deprecated)
- `originating_lead_source_id` (string, optional) — The ID of the lead source. This maps to the originatingLeadSourceId property of the Application object.
- `phone_2` (string, optional) — Applicant's secondary phone number. This maps to the phoneNumber property of the Applicant object.
- `phone_2_type` (enum, optional) — The type of the applicant's secondary phone number. The value passed in here must be one of 'HOME', 'WORK', 'MOBILE', FAX'. This maps to the phoneNumberTypeId property of the Applicant object.
  - Allowed values: `HOME`, `WORK`, `MOBILE`, `FAX`

### ErrorResponseError

- `code` (string, required)
- `message` (string, required)
- `details` (map from string to any, optional)

### V1ApplicantsPropertywareApplicantIdPutOutputResultCustomData

## Examples

**Request**

```json
{
  "integration_id": "propwx-1234567890",
  "x_property_id": "prop-987654321"
}
```

**Response**

```json
{
  "meta": {
    "job_id": "job-20240615-001"
  },
  "result": {
    "address_1": "123 Maple Street",
    "address_2": "Apt 4B",
    "city": "Springfield",
    "date_of_birth": "1985-07-20T00:00:00Z",
    "email_1": "jane.doe@example.com",
    "first_name": "Jane",
    "integration_id": "propwx-1234567890",
    "last_name": "Doe",
    "phone_1": "+1-555-123-4567",
    "phone_1_type": "HOME",
    "state": "IL",
    "x_property_id": "prop-987654321",
    "x_unit_id": "unit-12A",
    "zip": "62704",
    "custom_data": {},
    "originating_lead_source_id": "leadsrc-4567",
    "phone_2": "+1-555-765-4321",
    "phone_2_type": "MOBILE"
  }
}
```

**SDK Code**

```python
import requests

url = "https://api.propexo.com/v1/applicants/propertyware/applicant_id"

payload = {
    "integration_id": "propwx-1234567890",
    "x_property_id": "prop-987654321"
}
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.put(url, json=payload, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.propexo.com/v1/applicants/propertyware/applicant_id';
const options = {
  method: 'PUT',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: '{"integration_id":"propwx-1234567890","x_property_id":"prop-987654321"}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.propexo.com/v1/applicants/propertyware/applicant_id"

	payload := strings.NewReader("{\n  \"integration_id\": \"propwx-1234567890\",\n  \"x_property_id\": \"prop-987654321\"\n}")

	req, _ := http.NewRequest("PUT", url, payload)

	req.Header.Add("Authorization", "Bearer <token>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.propexo.com/v1/applicants/propertyware/applicant_id")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Put.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"integration_id\": \"propwx-1234567890\",\n  \"x_property_id\": \"prop-987654321\"\n}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.put("https://api.propexo.com/v1/applicants/propertyware/applicant_id")
  .header("Authorization", "Bearer <token>")
  .header("Content-Type", "application/json")
  .body("{\n  \"integration_id\": \"propwx-1234567890\",\n  \"x_property_id\": \"prop-987654321\"\n}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('PUT', 'https://api.propexo.com/v1/applicants/propertyware/applicant_id', [
  'body' => '{
  "integration_id": "propwx-1234567890",
  "x_property_id": "prop-987654321"
}',
  'headers' => [
    'Authorization' => 'Bearer <token>',
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.propexo.com/v1/applicants/propertyware/applicant_id");
var request = new RestRequest(Method.PUT);
request.AddHeader("Authorization", "Bearer <token>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"integration_id\": \"propwx-1234567890\",\n  \"x_property_id\": \"prop-987654321\"\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "Authorization": "Bearer <token>",
  "Content-Type": "application/json"
]
let parameters = [
  "integration_id": "propwx-1234567890",
  "x_property_id": "prop-987654321"
] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.propexo.com/v1/applicants/propertyware/applicant_id")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "PUT"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```